Get Automation Rule Status

List patch automation rules in Saner PM with their current status.

Get Automation Rule Status.
This method returns whether the automation rule is paused or running. If the rule name is not specified, the API will return the results for all the rules.

KeyMeaningMandatoryData Type
accountnameAccount nameYesstring
rulenamesList of rule namesNoarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Patch.getAutomationRuleStatus(
  accountname="Demo Account",
  rulenames=["demo rule1"]
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json